# studio::DockBook Class Reference

`#include <dockbook.h>`

List of all members.

## Public Member Functions

| DockBook ()
| ~DockBook ()
sigc::signal< void > & | signal_empty ()
sigc::signal< void > & | signal_changed ()
void | add (Dockable &dockable, int position=-1)
void | remove (Dockable &dockable)
void | present ()
void | clear ()
synfig::String | get_local_contents () const
synfig::String | get_contents () const
void | set_contents (const synfig::String &x)
void | refresh_tabs_headers ()
void | refresh_tab (Dockable *)
bool | tab_button_pressed (GdkEventButton *event, Dockable *dockable)
void | on_drag_data_received (const Glib::RefPtr< Gdk::DragContext > &context, int, int, const Gtk::SelectionData &selection_data, guint, guint time)

## Friends

class | DockManager
class | Dockable

## Constructor & Destructor Documentation

DockBook::DockBook | ( |  | ) |

DockBook::~DockBook | ( |  | ) |

References clear().

## Member Function Documentation

sigc::signal<void>& studio::DockBook::signal_empty | ( |  | ) | `[inline]`

Referenced by studio::DockDialog::append_dock_book(), studio::DockDialog::prepend_dock_book(), and remove().

sigc::signal<void>& studio::DockBook::signal_changed | ( |  | ) | `[inline]`

Referenced by studio::DockDialog::append_dock_book().

void DockBook::add | ( | Dockable & | dockable,
|  | int | position = `-1` |
| ) |  |  |

References studio::Dockable::detach(), studio::Dockable::parent_, refresh_tab(), and studio::Dockable::signal_stock_id_changed().

Referenced by studio::Dockable::present().

void DockBook::remove | ( | Dockable & | dockable | ) |

References studio::Dockable::parent_, and signal_empty().

Referenced by studio::Dockable::detach().

void DockBook::present | ( |  | ) |

Referenced by studio::Dockable::present().

void DockBook::clear | ( |  | ) |

Referenced by ~DockBook().

synfig::String DockBook::get_local_contents | ( |  | ) | const

References studio::Dockable::get_local_name().

synfig::String DockBook::get_contents | ( |  | ) | const

References studio::Dockable::get_name().

void DockBook::set_contents | ( | const synfig::String & | x | ) |

References studio::App::dock_manager, and studio::DockManager::find_dockable().

Referenced by studio::DockDialog::set_contents().

void studio::DockBook::refresh_tabs_headers | ( |  | ) |

void DockBook::refresh_tab | ( | Dockable * | dockable | ) |

References studio::Dockable::create_tab_label(), and tab_button_pressed().

Referenced by add().

bool DockBook::tab_button_pressed | ( | GdkEventButton * | event,
|  | Dockable * | dockable |
| ) |  |  |

References studio::delete_widget(), and studio::Dockable::detach().

Referenced by refresh_tab().

void DockBook::on_drag_data_received | ( | const Glib::RefPtr< Gdk::DragContext > & | context,
|  | int | ,
|  | int | ,
|  | const Gtk::SelectionData & | selection_data,
|  | guint | ,
|  | guint | time |
| ) |  |  |

## Friends And Related Function Documentation

friend class DockManager `[friend]`

friend class Dockable `[friend]`

The documentation for this class was generated from the following files:

- dockbook.h
- dockbook.cpp